<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_marginEnd="@dimen/dp_14"
                android:layout_marginBottom="@dimen/dp_6"
                android:background="@drawable/shape_sleep_bg_8dp"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tvDataTile"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="数据趋势"
                    android:textColor="#313131"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="UseCompatTextViewDrawableXml" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_218"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_16"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:layout_marginBottom="@dimen/dp_18">

                    <com.github.mikephil.charting.charts.LineChart
                        android:id="@+id/mLineChartList"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="visible" />

                </FrameLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llBloodCompareLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_6"
                android:layout_marginEnd="@dimen/dp_14"
                android:layout_marginBottom="@dimen/dp_6"
                android:background="@drawable/shape_round_white"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_23"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="数据对比"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

                    <com.xty.common.weight.tablayout.CommonTabLayout
                        android:id="@+id/commonTabLayout"
                        android:layout_width="@dimen/dp_150"
                        android:layout_height="@dimen/dp_40"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_marginTop="@dimen/dp_6"
                        app:tl_iconVisible="false"
                        app:tl_indicator_color="@color/col_02c"
                        app:tl_indicator_corner_radius="@dimen/dp_2"
                        app:tl_indicator_height="@dimen/dp_3"
                        app:tl_indicator_width="@dimen/dp_16"
                        app:tl_textSelectColor="@color/col_02c"
                        app:tl_textUnselectColor="#7C7C7C"
                        app:tl_textsize="@dimen/sp_15"
                        app:tl_textsizeSelected="@dimen/sp_15" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginEnd="@dimen/dp_16">

                        <TextView
                            android:id="@+id/show_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawableStart="@drawable/shape_dot_9bd"
                            android:drawablePadding="@dimen/dp_10"
                            android:paddingTop="@dimen/dp_10"
                            android:paddingBottom="@dimen/dp_10"
                            android:text="选择日期"
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_15"
                            tools:ignore="HardcodedText,SpUsage,UseCompatTextViewDrawableXml" />

                        <TextView
                            android:id="@+id/tvShowDate"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_40"
                            android:drawableEnd="@mipmap/arrow_right"
                            android:drawablePadding="@dimen/dp_5"
                            android:gravity="center_vertical|right"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_15"
                            tools:ignore="MissingConstraints,RtlHardcoded,SpUsage,UseCompatTextViewDrawableXml"
                            tools:text="2023-02-24 至 2023-02-24" />

                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1px"
                        android:layout_marginLeft="@dimen/dp_20"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@color/picture_color_f2" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginEnd="@dimen/dp_16">

                        <TextView
                            android:id="@+id/hide_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawableStart="@drawable/shape_dot_96d"
                            android:drawablePadding="@dimen/dp_10"
                            android:paddingTop="@dimen/dp_10"
                            android:paddingBottom="@dimen/dp_10"
                            android:text="对比日期"
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_15"
                            tools:ignore="HardcodedText,SpUsage,UseCompatTextViewDrawableXml" />

                        <TextView
                            android:id="@+id/tvHideDate"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_40"
                            android:drawableEnd="@mipmap/arrow_right"
                            android:drawablePadding="@dimen/dp_4"
                            android:gravity="center_vertical|right"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_15"
                            tools:ignore="RtlHardcoded,SpUsage,UseCompatTextViewDrawableXml"
                            tools:text="2023-02-24" />

                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1px"
                        android:layout_marginLeft="@dimen/dp_20"
                        android:layout_marginRight="@dimen/dp_20"
                        android:background="@color/picture_color_f2" />

                </LinearLayout>

                <TextView
                    android:id="@+id/text1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_14"
                    android:text="收缩压对比图"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText,RtlHardcoded,SpUsage" />

                <!--CombinedChart   线形图与柱状图混合体-->
                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_218"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:layout_marginBottom="@dimen/dp_12">

                    <com.github.mikephil.charting.charts.LineChart
                        android:id="@+id/mLineChart"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="visible" />

                    <com.github.mikephil.charting.charts.BarChart
                        android:id="@+id/mBarChart"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone" />

                </FrameLayout>

                <TextView
                    android:id="@+id/text2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_14"
                    android:text="舒张压对比图"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText,RtlHardcoded" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_218"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:layout_marginBottom="@dimen/dp_12">

                    <com.github.mikephil.charting.charts.LineChart
                        android:id="@+id/mLineChartTwo"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="visible" />

                    <com.github.mikephil.charting.charts.BarChart
                        android:id="@+id/mBarChartTwo"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone" />

                </FrameLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llCompareResult"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_6"
                android:layout_marginEnd="@dimen/dp_14"
                android:layout_marginBottom="@dimen/dp_6"
                android:background="@drawable/shape_sleep_bg_8dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_23"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="对比结论"
                    android:textColor="#313131"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

                <LinearLayout
                    android:id="@+id/mConstBottom"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_23"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:layout_marginBottom="@dimen/dp_15"
                    android:orientation="horizontal"
                    android:weightSum="3">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="0.8"
                        android:text="日期"
                        android:textColor="#7C7C7C"
                        android:textSize="@dimen/sp_15"
                        tools:ignore="HardcodedText" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.1"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_tendency_comparison_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_6"
                            android:text="对比日期"
                            android:textColor="#7C7C7C"
                            android:textSize="@dimen/sp_13"
                            tools:ignore="HardcodedText" />

                        <TextView
                            android:id="@+id/tv_tendency_comparison_date"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_6"
                            android:layout_marginTop="@dimen/dp_6"
                            android:drawablePadding="@dimen/dp_5"
                            android:textColor="#7C7C7C"
                            android:textSize="@dimen/sp_13"
                            tools:text="2023-08-12" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.1"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_tendency_select_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="选择日期"
                            android:textColor="#7C7C7C"
                            android:textSize="@dimen/sp_13" />

                        <TextView
                            android:id="@+id/tv_tendency_select_date"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_6"
                            android:drawablePadding="@dimen/dp_5"
                            android:textColor="#7C7C7C"
                            android:textSize="@dimen/sp_13"
                            tools:text="2023-08-13" />

                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:layout_marginStart="@dimen/dp_15"
                    android:layout_marginEnd="@dimen/dp_15"
                    android:layout_marginBottom="@dimen/dp_16"
                    android:background="#EBF0F2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_6"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:layout_marginBottom="@dimen/dp_6"
                    android:orientation="horizontal"
                    android:weightSum="3">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="0.8"
                        android:text="收缩压"
                        android:textColor="#7C7C7C"
                        android:textSize="@dimen/sp_15"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tvContrastAvgShrinkageData"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.1"
                        android:paddingStart="@dimen/dp_6"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:text="5.6mmol/L" />

                    <FrameLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.1">

                        <TextView
                            android:id="@+id/tvSelectAvgShrinkageData"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start|center"
                            android:textColor="#313131"
                            android:textSize="@dimen/sp_17"
                            android:textStyle="bold"
                            tools:text="5.1mmol/L" />

                        <ImageView
                            android:id="@+id/ivDataContrastAvgShrinkageImg"
                            android:layout_width="@dimen/dp_10"
                            android:layout_height="@dimen/dp_15"
                            android:layout_gravity="end|center"
                            tools:src="@mipmap/shangsheng" />

                    </FrameLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_6"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:layout_marginBottom="@dimen/dp_20"
                    android:orientation="horizontal"
                    android:weightSum="3">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="0.8"
                        android:text="舒张压"
                        android:textColor="#7C7C7C"
                        android:textSize="@dimen/sp_15"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tvContrastAvgDiastoleData"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.1"
                        android:paddingStart="@dimen/dp_6"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="RtlSymmetry"
                        tools:text="5.6mmol/L" />

                    <FrameLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.1">

                        <TextView
                            android:id="@+id/tvSelectAvgDiastoleData"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="start|center"
                            android:textColor="#313131"
                            android:textSize="@dimen/sp_17"
                            android:textStyle="bold"
                            tools:text="5.1mmol/L" />

                        <ImageView
                            android:id="@+id/ivDataContrastAvgDiastoleImg"
                            android:layout_width="@dimen/dp_10"
                            android:layout_height="@dimen/dp_15"
                            android:layout_gravity="end|center"
                            tools:src="@mipmap/shangsheng" />

                    </FrameLayout>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/llResult"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_6"
                android:layout_marginEnd="@dimen/dp_14"
                android:layout_marginBottom="@dimen/dp_6"
                android:background="@drawable/shape_sleep_bg_8dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start|center"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_22"
                    android:drawableStart="@drawable/shape_head_tip_new"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="结论分析"
                    android:textColor="#313131"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

                <TextView
                    android:id="@+id/tvCompareContent"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_21"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:layout_marginBottom="@dimen/dp_23"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_13"
                    tools:text="对于多数人来说是正常的，不必过于担心。窦性心动过缓是指心率低于60次/分钟的人，是否会出现此症状，与其心跳过缓的频率和引起心跳过缓的原因有关。在安静状态下。长期从事体力劳动的人，一般人的心率若在40～50次/分钟之间。" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_6"
                android:layout_marginEnd="@dimen/dp_14"
                android:layout_marginBottom="@dimen/dp_6"
                android:background="@drawable/shape_sleep_bg_8dp"
                android:orientation="vertical">

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_23"
                    android:layout_marginEnd="@dimen/dp_16">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start|center"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="数据详情"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <TextView
                        android:id="@+id/tvDataContrastList"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="@dimen/dp_26"
                        android:layout_gravity="end|center"
                        android:drawablePadding="@dimen/dp_5"
                        android:text="查看更多"
                        android:textColor="#25C8D0"
                        android:textSize="@dimen/sp_13"
                        android:drawableEnd="@mipmap/ic_app_time"
                        tools:ignore="HardcodedText,RtlSymmetry,UseCompatTextViewDrawableXml" />

                </FrameLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/mRecycle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_22" />

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/mAddData"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginLeft="@dimen/dp_25"
        android:layout_marginTop="@dimen/dp_16"
        android:layout_marginRight="@dimen/dp_25"
        android:layout_marginBottom="@dimen/dp_16"
        android:background="@drawable/shape_btn_select_bg"
        android:gravity="center"
        android:text="添加数值"
        android:textStyle="bold"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18"
        tools:ignore="HardcodedText,SpUsage" />

</LinearLayout>